Activity log for bug #1465753

Date Who What changed Old value New value Message
2015-06-16 16:12:27 Hachmann bug added bug
2015-06-16 16:15:25 Hachmann description Hi again, while creating a document for my next workshop, I noticed that the default stripes 1:1 pattern I applied to a (circular) path does not render correctly, depending on the zoom level (at 417%, only the upper half of the object is filled, at 428% just a tiny stripe at the top has the pattern, and from 459% upwards the pattern doesn't show at all). Second observation: png export of this object gives an empty circle without any pattern, depending on the selected resolution. At 350dpi, there's a fill pattern in the exported file, at 380dpi, I get a partially filled object, and at 400dpi, it's empty. The file shows up (and zooms) correctly in Firefox (even the hatch LPE... which surprised me). A striped vector pattern (created by object to path) exports correctly. I found a lot of reports about missing patterns in pdfs and eps files, but none for pngs. Is this problem known? And one more pattern question: The handles for modifying a pattern are often very far away from the object (if the page is large), and seem to appear in random places outside the page. Sometimes, they are so far away that I cannot see the object when I try to modify the pattern... Is there a workaround for this? I guess this is known. Is it tracked somewhere? (Inkscape 0.91 from Ubuntu repos on LM 17.1) Thank you, regards, Maren The default stripes 1:1 pattern I applied to a (circular) path does not render correctly, depending on the zoom level (at 417%, only the upper half of the object is filled, at 428% just a tiny stripe at the top has the pattern, and from 459% upwards the pattern doesn't show at all). Second observation: png export of this object gives an empty circle without any pattern, depending on the selected resolution. At 350dpi, there's a fill pattern in the exported file, at 380dpi, I get a partially filled object, and at 400dpi, it's empty. The file shows up (and zooms) correctly in Firefox. A striped vector pattern (created by object to pattern) exports correctly at that resolution, but at a higher one, it also fails to show up. (Inkscape 0.91 from Ubuntu repos on LM 17.1) Quoting ~suv (answer to original question: https://answers.launchpad.net/inkscape/+question/268146) "The disappearing pattern paint seems to be a regression with the new cairo-based renderer (>= r10326) - AFAICT it is directly related to the distance of the pattern handles to the object with the pattern paint: if the handles are closer to the object, one can zoom in closer with the pattern fill still rendered visible. If the handles are far away, the pattern disappears when zooming in on the shape closely."
2015-06-16 16:16:40 Hachmann attachment added Screenshots, minimal testcase, and exported png, zipped https://bugs.launchpad.net/inkscape/+bug/1465753/+attachment/4415762/+files/patterns.zip
2015-06-16 18:47:55 Alvin Penner inkscape: status New Confirmed
2015-06-17 00:47:57 su_v tags pattern regression renderer-cairo
2015-06-17 00:48:08 su_v inkscape: importance Undecided Medium
2015-06-17 00:48:08 su_v inkscape: milestone 0.92
2016-06-07 12:00:09 ScislaC tags pattern regression renderer-cairo blocker pattern regression renderer-cairo
2016-09-06 10:53:59 jazzynico inkscape: status Confirmed Triaged
2016-10-04 18:40:14 Tavmjong Bah inkscape: status Triaged Fix Committed
2016-10-04 18:40:45 Tavmjong Bah inkscape: assignee Tavmjong Bah (tavmjong-free)
2017-01-10 19:09:35 Bryce Harrington inkscape: status Fix Committed Fix Released
2019-04-27 12:02:59 Hachmann inkscape: status Fix Released Confirmed